Skip to main content
POST
/
v1
/
agents
/
{agent_id}
/
proposals
/
{proposal_id}
:reject
Reject a proposal
curl --request POST \
  --url https://api.usezombie.com/v1/agents/{agent_id}/proposals/{proposal_id}:reject \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "rejection_reason": "<string>"
}
'
{
  "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "proposal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "<string>",
  "rejection_reason": "<string>",
  "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Obtain a token via the CLI auth flow (POST /v1/auth/sessions) or GitHub OAuth

Path Parameters

agent_id
string<uuid>
required

Agent identifier

proposal_id
string<uuid>
required

Proposal identifier

Body

application/json
rejection_reason
string
required

Why the proposal was rejected — fed back to the agent for learning

Response

Proposal rejected

agent_id
string<uuid>
required
proposal_id
string<uuid>
required
status
string
required
Allowed value: "REJECTED"
rejection_reason
string
required
request_id
string<uuid>
required